Bug 476491 - Xorg doesn't start after upgrade from F9 to F-10 w/o changing driver from i810 to intel
Xorg doesn't start after upgrade from F9 to F-10 w/o changing driver from i81...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 03:41 EST by Peter Lemenkov
Modified: 2018-04-11 09:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:57:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log with i810 as driver (5.40 KB, text/plain)
2008-12-15 03:41 EST, Peter Lemenkov
no flags Details
Xorg log with intel as driver (27.08 KB, text/plain)
2008-12-15 03:46 EST, Peter Lemenkov
no flags Details
xorg.conf (717 bytes, text/plain)
2008-12-15 03:47 EST, Peter Lemenkov
no flags Details

  None (edit)
Description Peter Lemenkov 2008-12-15 03:41:03 EST
Created attachment 326922 [details]
Xorg log with i810 as driver

Hello!
Looks like something was changed in xorg-x11-drv-i810. All worked fine on my PC with F-9 installed with the following "Device" section in xorg.conf:

=======================
Section "Device"
        Identifier  "Videocard0"
       Driver      "i810"
EndSection
=======================

Unfortunately, after upgrading to F-10 (I always do yum upgrade - I'm a brave guy :)) Xorg doesn't start (see afttached Xorg.log.i810) until I changed "Driver" in "Device" section to "intel.

I don't know whether this is a known issue or not (it's easy to fix).

In any case - here is my report.
Comment 1 Peter Lemenkov 2008-12-15 03:46:07 EST
Created attachment 326923 [details]
Xorg log with intel as driver
Comment 2 Peter Lemenkov 2008-12-15 03:47:14 EST
Created attachment 326924 [details]
xorg.conf
Comment 3 Matěj Cepl 2008-12-20 18:44:08 EST
Passing to developers, but I think that you may actually not need xorg.conf at all. What happens when you just rename xorg.conf and restart X Window? Does it help?
Comment 4 Peter Lemenkov 2009-01-21 08:19:23 EST
(In reply to comment #3)
> Passing to developers, but I think that you may actually not need xorg.conf at
> all. What happens when you just rename xorg.conf and restart X Window? Does it
> help?

Yes, it helps in my simple case (workstation for launching xterm+ssh, Firefox and Psi with default X parameters). But I can imagine more complex sutiations than mine, where this workaround can't be accepted.
Comment 5 Vedran Miletić 2009-11-05 18:12:02 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Bug Zapper 2009-11-18 05:28:41 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Vedran Miletić 2009-12-04 12:57:27 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.